Use rh-redis5 SCL on EL7

12/03/2019 02:51 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: foreman-installer script   

Target version: 2.0.0   

Difficulty:  Fixed in Releases: 2.0.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/422

  

Description

Both Dynflow with Sidekiq and Pulp 3 will use Redis. Currently EPEL contains Redis 3.2. The There is also a Redis 5 SCL which has

the benefit of providing a newer version. It also has a clearer life cycle and users of RHEL have the benefit of commercial support.

For reference, Debian 10 ships Redis 5.0 and Ubuntu 18.04 ships 4.0. The newer version will reduce the number of different versions

in use.

voxpupuli-redis 5.0.0 adds support for using the SCL version. This can be enabled by setting redis::globals::scl via Hiera.

Associated revisions

Revision 4838c1a8 - 12/16/2019 10:29 PM - Ewoud Kohl van Wijngaarden

Fixes #28407 - Use rh-redis5 on EL7

History

#1 - 12/03/2019 02:52 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/422 added

#2 - 12/16/2019 10:29 PM - The Foreman Bot

- Fixed in Releases 2.0.0 added

#3 - 12/16/2019 11:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset installer|4838c1a8644d02017894f61984b0796581ee7e46.
